curl --request PUT \
--url https://gate.chip-in.asia/api/v1/clients/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "customer@example.com",
"bank_account": "<string>",
"bank_code": "<string>",
"phone": "+60 123456789",
"full_name": "<string>",
"personal_code": "<string>",
"street_address": "<string>",
"country": "<string>",
"city": "<string>",
"zip_code": "<string>",
"state": "<string>",
"shipping_street_address": "<string>",
"shipping_country": "<string>",
"shipping_city": "<string>",
"shipping_zip_code": "<string>",
"shipping_state": "<string>",
"cc": [
"customer@example.com"
],
"bcc": [
"customer@example.com"
],
"legal_name": "<string>",
"brand_name": "<string>",
"registration_number": "<string>",
"tax_number": "<string>"
}
'import requests
url = "https://gate.chip-in.asia/api/v1/clients/{id}/"
payload = {
"email": "customer@example.com",
"bank_account": "<string>",
"bank_code": "<string>",
"phone": "+60 123456789",
"full_name": "<string>",
"personal_code": "<string>",
"street_address": "<string>",
"country": "<string>",
"city": "<string>",
"zip_code": "<string>",
"state": "<string>",
"shipping_street_address": "<string>",
"shipping_country": "<string>",
"shipping_city": "<string>",
"shipping_zip_code": "<string>",
"shipping_state": "<string>",
"cc": ["customer@example.com"],
"bcc": ["customer@example.com"],
"legal_name": "<string>",
"brand_name": "<string>",
"registration_number": "<string>",
"tax_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'customer@example.com',
bank_account: '<string>',
bank_code: '<string>',
phone: '+60 123456789',
full_name: '<string>',
personal_code: '<string>',
street_address: '<string>',
country: '<string>',
city: '<string>',
zip_code: '<string>',
state: '<string>',
shipping_street_address: '<string>',
shipping_country: '<string>',
shipping_city: '<string>',
shipping_zip_code: '<string>',
shipping_state: '<string>',
cc: ['customer@example.com'],
bcc: ['customer@example.com'],
legal_name: '<string>',
brand_name: '<string>',
registration_number: '<string>',
tax_number: '<string>'
})
};
fetch('https://gate.chip-in.asia/api/v1/clients/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "customer@example.com",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_on": 1619740800,
"updated_on": 1619740800,
"bank_account": "<string>",
"bank_code": "<string>",
"phone": "+60 123456789",
"full_name": "<string>",
"personal_code": "<string>",
"street_address": "<string>",
"country": "<string>",
"city": "<string>",
"zip_code": "<string>",
"state": "<string>",
"shipping_street_address": "<string>",
"shipping_country": "<string>",
"shipping_city": "<string>",
"shipping_zip_code": "<string>",
"shipping_state": "<string>",
"cc": [
"customer@example.com"
],
"bcc": [
"customer@example.com"
],
"legal_name": "<string>",
"brand_name": "<string>",
"registration_number": "<string>",
"tax_number": "<string>"
}"{\n \"__all__\": {\n \"message\": \"descriptive error message\",\n \"code\": \"error_code\"\n }\n}\n"Update a client
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Object ID (UUID)
Body
Record of a single customer of your business. Create one for each of your clients.
Email address
254"customer@example.com"
Bank account number (e.g. IBAN)
64SWIFT/BIC code of the bank
32Phone number in the <country_code> <number> format
32"+60 123456789"
Name and surname of client. It is advisable to include full_name in request body.
1000Personal identification code of client
32Street house number and flat address where applicable
128Country code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
2City name
128ZIP or postal code
32State code
128Street house number and flat address where applicable
128Country code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
2City name
128ZIP or postal code
32State code
128Email addresses to receive a carbon copy of all notification emails
Email address
254Email addresses to receive a blind carbon copy of all notification emails
Email address
254Legal name of company
1000Company brand name
128Registration number of company
32Tax payer registration number
32Response
OK
Record of a single customer of your business. Create one for each of your clients.
Email address
254"customer@example.com"
Object type identifier
Object creation time
1619740800
Object last modification time
1619740800
Bank account number (e.g. IBAN)
64SWIFT/BIC code of the bank
32Phone number in the <country_code> <number> format
32"+60 123456789"
Name and surname of client. It is advisable to include full_name in request body.
1000Personal identification code of client
32Street house number and flat address where applicable
128Country code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
2City name
128ZIP or postal code
32State code
128Street house number and flat address where applicable
128Country code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
2City name
128ZIP or postal code
32State code
128Email addresses to receive a carbon copy of all notification emails
Email address
254Email addresses to receive a blind carbon copy of all notification emails
Email address
254Legal name of company
1000Company brand name
128Registration number of company
32Tax payer registration number
32